> ## Documentation Index
> Fetch the complete documentation index at: https://docs.liquid.tf/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Listings

> Remove specific listings by asset ID

## Overview

Deletes one or more listings by their Steam asset IDs. Max 100 listings per request.

## Authentication

<ParamField header="X-API-Key" type="string" required>
  Your site API key
</ParamField>

## Rate Limit

**5 requests per minute**

## Request Body

<ParamField body="items" type="array" required>
  Array of listings to delete (max 100 items)

  <Expandable title="Item Object">
    <ParamField body="asset_id" type="string" required>
      Steam asset ID of the listing to delete
    </ParamField>
  </Expandable>
</ParamField>

## Response

<ResponseField name="success" type="boolean">
  Returns `true` if listings were successfully deleted
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl -X DELETE "https://api.liquid.tf/api/dev/listing" \
    -H "Content-Type: application/json" \
    -H "X-API-Key: YOUR_SITE_API_KEY" \
    -d '{
      "items": [
        { "asset_id": "12321312414" }
      ]
    }'
  ```

  ```javascript JavaScript theme={null}
  const response = await fetch('https://api.liquid.tf/api/dev/listing', {
    method: 'DELETE',
    headers: {
      'Content-Type': 'application/json',
      'X-API-Key': 'YOUR_SITE_API_KEY'
    },
    body: JSON.stringify({
      items: [
        { asset_id: '12321312414' }
      ]
    })
  });

  const data = await response.json();
  ```

  ```python Python theme={null}
  import requests

  response = requests.delete(
      'https://api.liquid.tf/api/dev/listing',
      headers={'X-API-Key': 'YOUR_SITE_API_KEY'},
      json={
          'items': [
              {'asset_id': '12321312414'}
          ]
      }
  )

  data = response.json()
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
    "success": true
  }
  ```
</ResponseExample>

## Batch Deletion

Delete multiple listings at once by including multiple asset IDs:

```json theme={null}
{
  "items": [
    { "asset_id": "12321312414" },
    { "asset_id": "12321312415" },
    { "asset_id": "12321312416" }
  ]
}
```

<Warning>
  Deleted listings cannot be recovered. Make sure you have the correct asset IDs before deleting.
</Warning>

<Tip>
  To delete all your listings at once, use the [Delete All Listings](/api-reference/listings/delete-all-listings) endpoint instead.
</Tip>
